$(function(){
	
numRand=0;
var n;
var num=0;
var foc=0;
var err=0;
var numLow = 10000;
var numHigh = 99999;
var adjustedHigh = (parseFloat(numHigh) - parseFloat(numLow)) + 1;
var numRand = Math.floor(Math.random()*adjustedHigh) + parseFloat(numLow);
//alert(numRand); 
$("#captcha_img").attr("src","captcha.php?num="+numRand); 


function toEnNumber(inputNumber2) {
    if (inputNumber2 == undefined) return '';
    var str = $.trim(inputNumber2.toString());
    if (str == "") return "";
    str = str.replace('٠', '0');
    str = str.replace('١', '1');
    str = str.replace('٢', '2');
    str = str.replace('٣', '3');
    str = str.replace('٤', '4');
    str = str.replace('٥', '5');
    str = str.replace('٦', '6');
    str = str.replace('٧', '7');
    str = str.replace('٨', '8');
    str = str.replace('٩', '9');
    return str;
	
}


 
$("#app_form,#app_form input[type=text] ,#app_form textarea").bind("focus submit",function(event){

if(event.type=="submit"){foc=1}




if(foc==1){


err=0;
if($("#comp_name").val()!="" && $("#email").val()!="" && $("#add").val()!=""){
$("#confirm").load("confirm.php",{"comp_name":$("#comp_name").val(),
"email":$("#email").val(),"add":$("#add").val()}
,function(){

if($("#confirm").html()=='faild'){
alert("بيانات هذا الاعلان تم ادخالها من قبل");	
err=1;
}
	
});
}




if($("#captcha_val").length==1){	
if($("#captcha_val").val()!=numRand){
$("#captcha_field_val").html("");
$("#captcha_field_val").css("background","#FFCECE");
$("#captcha_val").css("background","#FFCECE");
err=1;
}else{
$("#captcha_field_val").html("");	
$("#captcha_field_val").css("background","#fff");
$("#captcha_val").css("background","#fff");	
}
}


n= $(".required").length;

if(parseInt(n)>0){
for (i=0;i<=n;i++){
xx=parseInt(i);

//alert($(".required").eq(xx).val());
if($(".required").eq(xx).val()=="" ){
if($(".required").eq(xx).next(".field_val").html()=='' ){
$(".required").eq(xx).css("background","#FFCECE");

$(".required").eq(xx).next(".field_val").html("ادخل البيانات بشكل صحيح");
}
$(".required").eq(xx).css("background","#FFCECE");
err=1;
}else{
if($(".required").eq(xx).next().html()!=''){
$(".required").eq(xx).next(".field_val").html("ادخل البيانات بشكل صحيح");	
$(".required").eq(xx).css("background","#fff");
}
}

}
}

if($(".confirm1").val()!=$(".confirm2").val()){
$(".confirm2").next().html("كلمة المرور غير متطابقة");
$(".confirm2").css("background","#FFCECE");
err=1;	
}else{
$(".confirm2").next(".field_val").html("ادخل البيانات بشكل صحيح");
$(".confirm2").css("background","#fff");	
}





n= $(".numeric").length;
if(parseInt(n)>0){
for (i=0;i<n;i++){
xx=parseInt(i);
//alert(toEnNumber($(".numeric").eq(xx).val()));
num_en=toEnNumber($(".numeric").eq(xx).val());
//alert(num_en);
$(".numeric").eq(xx).val(num_en);

xxx=$.isNumeric($(".numeric").eq(xx).val());

if((xxx==0 && $(".numeric").eq(xx).hasClass('required'))||(xxx==0 && $(".numeric").eq(xx).val()!='') ){
$(".numeric").eq(xx).next(".field_val").html("ادخل البيانات بشكل صحيح");

$(".numeric").eq(xx).css("background","#FFCECE");	
//alert("numeric");
err=1;
}else{
if($(".numeric").eq(xx).next().html()!=''){
$(".numeric").eq(xx).next(".field_val").html("ادخل البيانات بشكل صحيح");
$(".numeric").eq(xx).css("background","#fff");	
}
}
}
}
	


//alert("z");
n= $(".email").length;
if(parseInt(n)>0){
for (i=0;i<n;i++){

var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/ ; 

nn=re.test( $(".email").eq(i).val() );
	
//alert($(".email").eq(i).val() );
//alert(nn);


if(nn==false){
//alert("website");
if($(".email").eq(i).hasClass('required') || $(".email").eq(i).val()!=''){
$(".email").eq(i).next(".field_val").html("ادخل البيانات بشكل صحيح");

$(".email").eq(i).css("background","#FFCECE");	

err=1;
}


}else{
if($(".email").eq(i).next().html()!=''){
$(".email").eq(i).next(".field_val").html("ادخل البيانات بشكل صحيح");	
$(".email").eq(i).css("background","#fff");
}
}
}
}




n= $(".website").length;
if(parseInt(n)>0){
for (i=0;i<n;i++){

re = /[-a-zA-Z0-9@:%_\+.~#?&//=]{2,256}\.[a-z]{2,4}\b(\/[-a-zA-Z0-9@:%_\+.~#?&//=]*)?/;


nn=re.test( $(".website").eq(i).val() );
	
//alert($(".website").eq(i).val() );
//alert(nn);


if(nn==false){
//alert("website");
if($(".website").eq(i).hasClass('required') || $(".website").eq(i).val()!=''){
$(".website").eq(i).next(".field_val").html("ادخل البيانات بشكل صحيح");

$(".website").eq(i).css("background","#FFCECE");	

err=1;
}


}else{
if($(".website").eq(i).next().html()!=''){
$(".website").eq(i).next(".field_val").html("ادخل البيانات بشكل صحيح");	
$(".website").eq(i).css("background","#fff");
}
}
}
}




//alert(err)
if(err==1){
event.preventDefault();	
}


}


});
});
